oracle.pg.common

## Class SimpleLog

- java.lang.Object
- - oracle.pg.common.SimpleLog

-     public class SimpleLog
      extends Object

  A Simple wrapper of Apache Commons Logging API. All methods provided are simple and straightforward.
  Version:
    1.0
  Author:
    Zhe Wu

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Object mesg)`
    `void` | `debug(Object mesg1, Object mesg2)`
    `void` | `debug(Object mesg, Throwable t)`
    `void` | `error(Object mesg)`
    `void` | `error(Object mesg, Throwable t)`
    `void` | `fatal(Object mesg)`
    `void` | `fatal(Object mesg, Throwable t)`
    `static SimpleLog` | `getLog(Class c)`
    `void` | `info(Object mesg)`
    `void` | `info(Object mesg1, Object mesg2)`
    `void` | `info(Object mesg, Throwable t)`
    `boolean` | `isDebugEnabled()` Returns true if DEBUG level logging is enabled.
    `boolean` | `isErrorEnabled()`
    `boolean` | `isFatalEnabled()` Returns true if FATAL level logging is enabled.
    `boolean` | `isInfoEnabled()` Returns true if INFO level logging is enabled.
    `boolean` | `isWarnEnabled()` Returns true if WARN level logging is enabled.
    `void` | `warn(Object mesg)`
    `void` | `warn(Object mesg1, Object mesg2)`
    `void` | `warn(Object mesg, Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### debug

          public void debug(Object mesg)

    - #### debug

          public void debug(Object mesg1,
                   Object mesg2)

    - #### debug

          public void debug(Object mesg,
                   Throwable t)

    - #### error

          public void error(Object mesg)

    - #### error

          public void error(Object mesg,
                   Throwable t)

    - #### fatal

          public void fatal(Object mesg)

    - #### fatal

          public void fatal(Object mesg,
                   Throwable t)

    - #### getLog

          public static SimpleLog getLog(Class c)

    - #### info

          public void info(Object mesg)

    - #### info

          public void info(Object mesg1,
                  Object mesg2)

    - #### info

          public void info(Object mesg,
                  Throwable t)

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Returns true if DEBUG level logging is enabled.

    - #### isErrorEnabled

          public boolean isErrorEnabled()

    - #### isFatalEnabled

          public boolean isFatalEnabled()

      Returns true if FATAL level logging is enabled.

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Returns true if INFO level logging is enabled.

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Returns true if WARN level logging is enabled.

    - #### warn

          public void warn(Object mesg)

    - #### warn

          public void warn(Object mesg1,
                  Object mesg2)

    - #### warn

          public void warn(Object mesg,
                  Throwable t)

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.